List invoices
GET/api/invoices
Required permissions:
- invoices.view: allows view of invoices for projects where the user is PM or Account.
- invoices.view_other: allows view of all invoices.
Here the dedicated support page.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: >= 1
Filter items by the project_id field.
Filter items by the issue_date field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Filter items by the payment_date field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of invoices.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: [draft, sent, paid]
The invoice status
The invoice number
The invoice purchase order reference
The invoice value
The invoice custom exchange rate
The invoice issue date
The invoice payment date
The invoice notes
Possible values: >= 1
The ID of the project associated with this invoice
The UID of the budget area associated with this invoice
The ID of the VAT rate associated with this invoice
The ID of the payment term associated with this invoice
[
{
"id": 1,
"created_at": "2026-03-27T11:39:28.161Z",
"updated_at": "2026-03-27T11:39:28.161Z",
"status": "draft",
"invoice_number": "INV-2024-001",
"purchase_order": "string",
"value": 1000,
"exchange_rate": 0,
"issue_date": "2024-06-15",
"notes": "string",
"project_id": 1,
"budget_area_uid": "string",
"vat_rate_id": 0,
"payment_term_id": 0
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}